Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Language IDEs » Java Development Tools (JDT) » Add GlassFish 3.1.2 Runtime to Eclipse Juno
Add GlassFish 3.1.2 Runtime to Eclipse Juno [message #987445] Mon, 26 November 2012 16:10
Shelli Orton is currently offline Shelli OrtonFriend
Messages: 97
Registered: September 2009

Hoping I'm posting this on the right board...

I've recently installed Juno EE Edition and am trying to get my Glassfish (open source edition) server runtime set up.

I installed Glassfish separately via the zip file. My directory looks like:


In Eclipse, I installed the "Glassfish Java EE Application Server Plugin for Eclipse" which also installed "Oracle Glassfish Server Tools". These are the jars/directories that were added to my plugins directory:

- org.eclipse.datatools.sqltools.db.generic_1.0.0.v201107221520.jar (which contains)
- -
- - oracle.eclipse.runtime.glassfish3122_3.1.2.201207240841.jar

I then went into my Preferences | Server | Runtim Environments to add my Glassfish server. When I choose the above path, I get the error message:

"There is no valid GlassFish installlation in the specified directory. Click the Install Server button to download and install to that directory."

I found this StackOverflow question

which indicates that the Marketplace plugin does not work with GF 3.1.2 and gives this link to get the Juno version:

The latest runtime and tools jars on that site are the ones included in the org.eclipse.datatools.sqltools.db.generic_1.0.0.v201107221520.jar.

Can somebody explain to me what I've done wrong and how to get my runtime set up?
Previous Topic:export package with referenced jar's included
Next Topic:Probably JDK is not installed.
Goto Forum:

Current Time: Thu Oct 27 11:29:29 GMT 2016

Powered by FUDForum. Page generated in 0.04497 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software